Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Class StartupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.crosswire.common.util.LucidException
                  org.crosswire.common.config.StartupException

All Implemented Interfaces:
  Serializable

    public class StartupException

extends LucidException

Something in the startup config files failed to start properly.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class org.crosswire.common.util.LucidException
`params`

Constructor Summary
`StartupException(MsgBase msg)` Construct the Exception with a message
`StartupException(MsgBase msg, Object[] params)` Construct the Exception with a message and some i18n params
`StartupException(MsgBase msg, Throwable ex)` Construct the Exception with a message and a nested Exception
`StartupException(MsgBase msg, Throwable ex, Object[] params)` Construct the Exception with a message, a nested Exception and some i18n params

Method Summary

Methods inherited from class org.crosswire.common.util.LucidException
`getDetailedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### StartupException

    public StartupException(MsgBase msg)

  Construct the Exception with a message

  Parameters:
    `msg` - The resource id to read

### StartupException

    public StartupException(MsgBase msg,
                            Throwable ex)

  Construct the Exception with a message and a nested Exception

  Parameters:
    `msg` - The resource id to read
    `ex` - The nested Exception

### StartupException

    public StartupException(MsgBase msg,
                            Object[] params)

  Construct the Exception with a message and some i18n params

  Parameters:
    `msg` - The resource id to read
    `params` - An array of parameters

### StartupException

    public StartupException(MsgBase msg,
                            Throwable ex,
                            Object[] params)

  Construct the Exception with a message, a nested Exception and some i18n params

  Parameters:
    `msg` - The resource id to read
    `ex` - The nested Exception
    `params` - An array of parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD